GET api/cleanroomapi/cleanroom/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "874bc87e-2225-480a-84ec-bcbc59bce5ba",
"communication_server_id": "54a6d421-634e-4ff2-a80e-b960ac1f756a",
"id": "0cb9dd08-61c3-47a2-958a-e73c8b31a993",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>874bc87e-2225-480a-84ec-bcbc59bce5ba</cleanroom_type_id> <communication_server_id>54a6d421-634e-4ff2-a80e-b960ac1f756a</communication_server_id> <id>0cb9dd08-61c3-47a2-958a-e73c8b31a993</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>